<?php

namespace Modules\GuestTest\Actions;

use CController as Action;
use CControllerResponseData;
use CWebUser;

class UserdetailsAction extends Action {

	protected function init() {
		$this->disableSIDvalidation();
	}

	protected function checkInput() {
		return true;
	}

	protected function checkPermissions() {
		return true;
	}

	protected function doAction() {
		$this->setResponse(new CControllerResponseData([
			'title' => 'User details',
			'user' => CWebUser::$data
		]));
	}
}
